UntangledAPI
Api referenceKeys

Create a new API key. The raw key is returned once and never shown again.

POST
/v1/keys

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Header Parameters

x-idempotency-key?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.untangledapi.com/v1/keys" \  -H "Content-Type: application/json" \  -d '{}'
{
  "key": "string",
  "prefix": "string",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "createdAt": "string",
  "idempotent": true
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}